Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
NodeBehaviour Class Reference

Base class for scripts to be assigned to various nodes of ArborFSM. More...

Inheritance diagram for NodeBehaviour:

## Public Member Functions
CalculatorSlotField | GetCalculatorSlotField (int index)
| Get CalculatorSlotField. More...
CalculatorSlotField | GetCalculatorSlotField (CalculatorSlot slot)
| Get CalculatorSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the CalculatorSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...

## Static Public Member Functions
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...

## Protected Member Functions
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...

## Properties
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | calculatorSlotFieldCount`[get]`
| Number of CalculatorSlotField More...

## Detailed Description

Base class for scripts to be assigned to various nodes of ArborFSM.

## Member Function Documentation

static NodeBehaviour CreateNodeBehaviour | ( | Node | node,
|  | System.Type | type,
|  | bool | duplicate = `false`
| ) |  |
| static

For Editor.

static Type CreateNodeBehaviour< Type > | ( | Node | node,
|  | bool | duplicate = `false`
| ) |  |
| static

For Editor.

Type Constraints

  Type | : | NodeBehaviour |

static void Destroy | ( | NodeBehaviour | behaviour | ) |
| static

Destroy NodeBehaviour.

Parameters

  behaviour | NodeBehaviour

CalculatorSlotField GetCalculatorSlotField | ( | int | index | ) |

Get CalculatorSlotField.

Parameters

  index | Index

Returns
  CalculatorSlotField

CalculatorSlotField GetCalculatorSlotField | ( | CalculatorSlot | slot | ) |

Get CalculatorSlotField.

Parameters

  slot | CalculatorSlot

Returns
  CalculatorSlotField

void Initialize | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

For Editor.

Parameters

  nodeGraph | NodeGraph
  nodeID | Node ID

virtual void OnCreated | ( |  | ) |
| protected virtual

Raises the created event.

virtual void OnInitializeEnabled | ( |  | ) |
| protected virtual

Called to perform enabled initialization.

Reimplemented in StateBehaviour, and TreeNodeBehaviour.

virtual void OnPreDestroy | ( |  | ) |
| protected virtual

Raises the pre destroy event.

virtual void OnValidate | ( |  | ) |
| protected virtual

See MonoBehaviour.OnValidate.

Reimplemented in Calculator.

void RebuildCalculatorSlotFields | ( |  | ) |

Rebuild the CalculatorSlotField.

It is necessary to call it when changing the number of fields of CalculatorSlot at runtime.

## Property Documentation

int calculatorSlotFieldCount
| get

Number of CalculatorSlotField

Node node
| get

Get the Node.

NodeGraph nodeGraph
| get

Gets the NodeGraph.

int nodeID
| get

Gets the node identifier.